summaryrefslogtreecommitdiffstats
path: root/source.local/a/slocate
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
commit55bce4decbbdde684c63507f88f4f33694579f4f (patch)
tree409994b26efea8c2a9f65206de616bed4f931d25 /source.local/a/slocate
parentb100c7c57e8a1363adfffe22f68b6429b9576dd3 (diff)
downloadalienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.gz
alienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.xz
Update to Alien's ARM which allows XFCE to run on an ARM ChromeBook.
This large update brings Alien's ARM repository almost to the same level of package versions in slackware-current. THese updates were needed to make it possible to start a functional XFCE session on Samsung's ARM ChromeBook (XE303C12).
Diffstat (limited to 'source.local/a/slocate')
-rw-r--r--source.local/a/slocate/slocate.CVE-2007-0277.diff.gzbin0 -> 561 bytes
-rwxr-xr-xsource.local/a/slocate/slocate.SlackBuild58
-rw-r--r--source.local/a/slocate/slocate.bigfile.diff.gzbin0 -> 485 bytes
3 files changed, 32 insertions, 26 deletions
diff --git a/source.local/a/slocate/slocate.CVE-2007-0277.diff.gz b/source.local/a/slocate/slocate.CVE-2007-0277.diff.gz
new file mode 100644
index 0000000..5d91a74
--- /dev/null
+++ b/source.local/a/slocate/slocate.CVE-2007-0277.diff.gz
Binary files differ
diff --git a/source.local/a/slocate/slocate.SlackBuild b/source.local/a/slocate/slocate.SlackBuild
index 4b3c5cd..78704e4 100755
--- a/source.local/a/slocate/slocate.SlackBuild
+++ b/source.local/a/slocate/slocate.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,30 +25,32 @@
PKGNAM=slocate
VERSION=3.1
-BUILD=${BUILD:-3}
-
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
-fi
+BUILD=${BUILD:-4}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
else
- SLKCFLAGS="-O2"
+ # Automatically determine the architecture we're building on:
+ if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ else
+ SLKCFLAGS="-O2"
+ fi
fi
CWD=$(pwd)
@@ -64,8 +66,12 @@ explodepkg $CWD/_slocate.tar.gz
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xzvf $CWD/$PKGNAM-$VERSION.tar.gz
-cd $PKGNAM-$VERSION
+tar xzvf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+zcat $CWD/slocate.bigfile.diff.gz | patch -p0 --verbose || exit 1
+zcat $CWD/slocate.CVE-2007-0277.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 2750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,7 +80,7 @@ find . \
-exec chmod 644 {} \;
cd src
-make CFLAGS="$SLKCFLAGS"
+make CFLAGS="$SLKCFLAGS -D_LARGEFILE64_SOURCE" || exit 1
cd ..
strip --strip-unneeded src/slocate
mkdir -p $PKG/usr/bin
diff --git a/source.local/a/slocate/slocate.bigfile.diff.gz b/source.local/a/slocate/slocate.bigfile.diff.gz
new file mode 100644
index 0000000..f78a1ff
--- /dev/null
+++ b/source.local/a/slocate/slocate.bigfile.diff.gz
Binary files differ